.woocommerce-message,
.woocommerce-info {
    border-top-color: var(--txt-color);
}
.woocommerce-message::before,
.woocommerce-info:before {
    color: var(--txt-color);
}
.woocommerce-error {
    border-top-color: var(--main-color);
}
.woocommerce-error::before {
    color: var(--main-color);
}
.woocommerce-error li, .woocommerce-info li, .woocommerce-message li {
    font-size: 14px;
    line-height: 22px;
}

.woocommerce .button {
    display: inline-block !important;
    padding: 15px 25px !important;
    background: rgb(67,164,220) !important;
    background: linear-gradient(90deg, rgba(67,164,220,1) 0%, rgba(102,182,228, .7) 100%) !important;
    border: none !important;
    color: #fff !important;
    transition: .3s !important;
    font-family: var(--font-main) !important;
    font-weight: 800 !important;
    transition: .3s !important;
    font-size: .85rem !important;
    line-height: 110% !important;
    cursor: pointer !important;
    text-align: center !important;
    border-radius: 50px !important;
}
.woocommerce .button:hover {
    color: #fff !important;
    background-color: var(--txt-color) !important;
    box-shadow: 0px 0px 9px rgba(80,80,80, .7) !important;
}

/* SHOP PAGE START */

ul.products li .price {
    color: var(--color-main) !important;
    font-weight: 500 !important;
}

/* SHOP PAGE END */


/* PRODUCT PAGE START */
.single-product div.summary .price {
    color: var(--color-main) !important;
    font-weight: 600 !important;
    font-size: 1.4rem !important;
}
.single-product .variations th {
    text-align: left !important;
}
.single-product .variations td select {
    padding: 10px 15px !important;
    border: 1px solid var(--bg-second) !important;
}
.single-product .variations button {
    background-color: #000 !important;
    border-radius: 0 !important;
    color: #fff !important;
    cursor: pointer !important;
    border: none !important;
    padding: 5px 15px !important;
    font-family: var(--font-main) !important;
    font-size: .8rem !important;
    text-transform: lowercase !important;
}
.single-product .single_variation_wrap .price {
    margin-bottom: 20px !important;
    display: block;
}
.single-product .quantity input {
    height: 45px !important;
    margin-right: 15px !important;
    border: 1px solid var(--bg-second) !important;
}

.single-product .product_meta {
    font-size: .75rem !important;
    line-height: 120% !important;
}

.single-product .related {
    clear: both;
    padding-top: 60px;
}
/* PRODUCT PAGE END */

/* CART START */
.shop_table .quantity input {
    height: 35px !important;
    margin-right: 15px !important;
    border: 1px solid var(--bg-second) !important;
}
.shop_table .coupon input {
    width: 150px !important;
    height: 40px !important;
}
/* CART END */

/* CHECKOUT START */
form.woocommerce-checkout {
    max-width: 100%;
    width: 1000px;
    margin-left: auto;
    margin-right: auto;
}
.woocommerce .col2-set .col-1, .woocommerce-page .col2-set .col-1 {
    float: none;
    width: 100% !important;
}
.woocommerce .col2-set .col-2, .woocommerce-page .col2-set .col-2 {
    display: none !important;
}
.woocommerce-billing-fields__field-wrapper {
    padding: 0 35px;
}
.woocommerce-checkout-review-order {
    padding: 0 40px;
}
.woocommerce-billing-fields__field-wrapper {
    display: flex;
    flex-wrap: wrap;
}
.woocommerce-billing-fields__field-wrapper>p {
    max-width: 50%;
    flex: 0 0 50%;
    padding: 0 10px !important;
    margin:5px 0 !important;
    float: none !important;
    width: initial !important;
}
.woocommerce-billing-fields__field-wrapper input,
.woocommerce-billing-fields__field-wrapper textarea {
    border: 1px solid #000000;
    color: var(--txt-color);
    font-family: 'Titillium Web', sans-serif;
    padding: 15px 20px;
    max-width: 100%;
    width: 100%;
    font-weight: 500;
}
.woocommerce-billing-fields__field-wrapper input::placeholder,
.woocommerce-billing-fields__field-wrapper textarea::placeholder {
    font-family: 'Titillium Web', sans-serif;
    font-weight: 500;
    color: var(--txt-color);
}
.woocommerce-billing-fields__field-wrapper textarea {
    min-height: 200px;
    min-width: 33%;
}
.woocommerce-billing-fields h3 {
    font-size: 1.4rem;
    font-weight: 700;
    text-align: center;
}
#order_review_heading {
    margin-top: 60px;
    font-size: 1.4rem;
    font-weight: 700;
    text-align: center;
}
.custom-checkout-message {
    padding-left: 40px;
    font-size: 14px;
    font-weight: 500;
    line-height: 22px;
}

.woocommerce table.shop_table tfoot .cart-subtotal td,
.woocommerce table.shop_table tfoot th {
    font-weight: 400;
}
.woocommerce table.shop_table tfoot .order-total td strong,
.woocommerce table.shop_table tfoot th.order-total {
    font-weight: 700;
}
.woocommerce table.shop_table td {
    padding: 20px 5px !important;
}
.woocommerce table.shop_table th.product-total,
.woocommerce table.shop_table td.product-total,
.woocommerce table.shop_table tfoot td {
    text-align: right;
}
.woocommerce table.shop_table tr:last-child td {
    border-top: none !important;
}
.woocommerce table.shop_table .woocommerce-shipping-totals th,
.woocommerce table.shop_table .woocommerce-shipping-totals td {
    border-top: 1px solid #eaeaea !important;
    border-bottom: 1px solid #eaeaea !important;
}
.woocommerce table.shop_table .woocommerce-shipping-totals td {
    font-weight: 500;
}


#add_payment_method #payment, .woocommerce-cart #payment, .woocommerce-checkout #payment {
    background-color: transparent !important;
    border: none;
}
#add_payment_method #payment div.payment_box, .woocommerce-cart #payment div.payment_box, .woocommerce-checkout #payment div.payment_box {
    background-color: transparent !important;
    padding-top: 0;
    border: 1px solid #eaeaea;
}
#add_payment_method #payment div.payment_box::before, .woocommerce-cart #payment div.payment_box::before, .woocommerce-checkout #payment div.payment_box::before {
    display: none;
}
#add_payment_method #payment ul.payment_methods, .woocommerce-cart #payment ul.payment_methods, .woocommerce-checkout #payment ul.payment_methods {
    border-bottom: none !important;
}
.woocommerce-checkout-payment .place-order {
    padding-top: 0 !important;
}
.woocommerce-privacy-policy-text {
    font-size: 14px;
    line-height: 24px;
    font-weight: 500;
}
.woocommerce-privacy-policy-text a {
    text-decoration: underline;
}
.woocommerce-checkout .place-order {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
}
.woocommerce-checkout-payment button {
    position: relative;
    border-radius: 0 !important;
    background-color: var(--main-color) !important;
    font-weight: 700 !important;
    font-size: 1.1rem !important;
    font-family: 'Titillium Web', sans-serif;
    line-height: 120%;
    color: #fff !important;
    text-transform: uppercase;
    cursor: pointer;
    border: 1px solid var(--main-color) !important;
    font-weight: 400 !important;
    padding: 15px 30px !important;
    transition: .3s;
    margin-right: auto !important;
    margin-left: auto !important;
    margin-top: 30px !important;
    float: none !important;
    max-width: 100% !important;
    width: 300px !important;
    text-align: center !important;
}
.woocommerce-checkout-payment button:hover {
    background-color: var(--txt-color) !important;
    border-color: var(--txt-color) !important;
    color: #fff !important;
}

#billing_address_2_field {
    display: flex;
    align-items: flex-end;
}
#billing_address_2_field>span,
#billing_address_2_field input {
    width: 100%;
}
/* CHECKOUT END */


/* @ @ MY ACCOUNT START @ @ */
.woocommerce > h2{
    text-align: center;
    font-size: 1.3rem;
    font-weight: 600;
}
form.lost_reset_password {
    margin-left: auto;
    margin-right: auto;
    max-width: 100%;
    width: 1100px;
}
form.lost_reset_password label {
    font-size: .9rem;
    font-weight: 600;
}
form.lost_reset_password input[type='text'] {
    border: 1px solid #000000;
    color: var(--txt-color);
    font-family: 'Titillium Web', sans-serif;
    padding: 15px 20px;
    max-width: 100%;
    width: 100%;
    font-weight: 500;
}
form.lost_reset_password button {
    position: relative;
    border-radius: 0 !important;
    background-color: transparent !important;
    font-weight: 700 !important;
    font-size: 18px !important;
    font-family: 'Titillium Web', sans-serif;
    line-height: 120%;
    color: #000 !important;
    text-transform: uppercase;
    cursor: pointer;
    padding: 10px 15px 10px 40px !important;
    transition: .3s;
    width: initial !important;
    display: inline-block !important;
}
form.lost_reset_password button:before {
    content: "+";
    font-family: 'Titillium Web', sans-serif;
    font-size: 30px;
    font-weight: 500 !important;
    position: absolute;
    top: 50%;
    left: 10px;
    transform: translateY(-50%);
    transition: .3s;
}
form.lost_reset_password button:hover {
    background-color: var(--main-color) !important;
}
form.lost_reset_password button:hover:before {
    transform: translateY(-50%) rotate(-225deg);
}

.woocommerce-MyAccount-navigation ul {
    list-style: none;
    padding: 0;
    margin: 0;
}
.woocommerce-MyAccount-navigation ul li a {
    font-weight: 500;
    display: block;
    padding: 3px 0;
    color: var(--txt-color);
}
.woocommerce-MyAccount-navigation ul li.is-active a {
    padding: 10px 20px;
    background-color: var(--color-main);
    color: #fff;
}
.woocommerce-MyAccount-content .button,
.woocommerce-address-fields .button,
.woocommerce .woocommerce-info .button,
.woocommerce table.my_account_orders .button {
    background-color: var(--txt-color) !important;
    border-radius: 0 !important;
    color: #fff !important;
    font-weight: 600 !important;
}
.woocommerce-MyAccount-content label {
    font-size: .95rem;
    font-weight: 600;
}
.woocommerce-MyAccount-content input,
.woocommerce-MyAccount-content textarea
.woocommerce-address-fields input,
.woocommerce-address-fields textarea {
    border: 1px solid #000000;
    color: var(--txt-color);
    font-family: 'Titillium Web', sans-serif;
    padding: 15px 20px;
    max-width: 100%;
    width: 100%;
    font-weight: 500;
}
.woocommerce-address-fields__field-wrapper {
    display: flex;
    flex-wrap: wrap;
}
.woocommerce-address-fields__field-wrapper>p {
    max-width: 50%;
    flex: 0 0 50%;
    padding: 0 10px !important;
    margin:5px 0 !important;
    float: none !important;
    width: initial !important;
}
.woocommerce-MyAccount-content form>h3 {
    font-size: 1.3rem;
    font-weight: 600;
}
/* @ @ MY ACCOUNT END @ @ */

@media(max-width: 992px) {
    .woocommerce-checkout-review-order {
        padding: 0;
    }
}
@media(max-width: 767px) {
    .woocommerce .button {
        padding: 10px 15px !important;
    }

    .single-product .quantity input {
        height: 30px !important;
        margin-right: 10px !important;
    }

    .woocommerce-billing-fields__field-wrapper {
        padding: 0;
    }
    .woocommerce-billing-fields__field-wrapper>p {
        max-width: 100%;
        flex: 0 0 100%;
    }

    .woocommerce-MyAccount-content {
        margin-top: 30px;
    }
    .woocommerce-MyAccount-content h2 {
        margin-bottom: 10px;
    }
    .woocommerce-address-fields__field-wrapper>p {
        max-width: 100%;
        flex: 0 0 100%;
        padding: 0 !important;
    }
}